# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name simple-sendfile

%global common_summary Cross-platform sendfile system call

%global common_description A Haskell cross-platform library for the sendfile system call.\
This library tries to minimize system calls,\
since they are a bottleneck for concurrent web servers.

Name:           ghc-%{pkg_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-network-prof
BuildRequires:  ghc-unix-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- update to 0.2.0 and cabal2spec-0.25.2

* Thu Dec  1 2011 Jens Petersen <petersen@redhat.com> - 0.1.3-1
- BSD license

* Thu Dec  1 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
